/**
 * <copyright>
 * </copyright>
 *
 * $Id: TypeMappingValidator.java,v 1.1 2008-04-01 09:35:54 vmahe Exp $
 */
package orgomg.cwm.foundation.typemapping.validation;

import orgomg.cwm.objectmodel.core.Classifier;

/**
 * A sample validator interface for {@link orgomg.cwm.foundation.typemapping.TypeMapping}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface TypeMappingValidator {
	boolean validate();

	boolean validateIsBestMatch(boolean value);
	boolean validateIsLossy(boolean value);
	boolean validateSourceType(Classifier value);
	boolean validateTargetType(Classifier value);
}
